<?php
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../../index.php';
		</script>
		<?php 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=67;
define("VAL",$id_user);

include("../../conex.php");
include("../../autoriza.php");

require_once "../include/configuracion.php";
require_once "../include/bd.php";
require_once "../include/funciones.php";
require_once "../modelos/noticias.php";

// Instancia de Clase Clientes
$Noticia = new Noticia();

// Acciones por url
$acurl = (isset($_REQUEST['opcion'])) ? trim($_REQUEST['opcion']) : die("Peticion Incorrecta...");
// Botones formularios
$cmd = (isset($_POST['cmd'])) ? trim($_POST['cmd']) : null;

switch($acurl):

    case "agregar":
        //permisos de autoriza.php
        if ($grabar == 1):
	
            // Validar y Guardar Datos
            if ($cmd == "Guardar"):
            
            // Llamado a Constructores y Paso de Datos
            //echo "<pre>";
            //print_r($_POST);
            //echo "</pre>";
                    
                    $Noticia = new Noticia($_POST['txtTitulo'],$_POST['txtContenido'],
                                           date('Y/m/d'),'',$_POST['txtEstado'],
                                           $_POST['txtFecha_publicacion'],$_POST['txtFecha_despublicacion'],
                                           $_POST['txtSeccion_id'],$id_user);
                    
                    $Noticia->Agregar();
                    //die();
                    redirect("?opcion=listar");
            
            endif;
            // Mostrar Vista
            require_once("../vistas/noticias/agregar.php");
	
        else:
        
            echo "No tiene Autorizaci&oacute;n";
        
        endif;
	
        break;

    case "editar":
        //permisos de autoriza.php
        if($editar == 1):
        
            // Validar y Actualizar Datos
            if ($cmd == "Actualizar"):
                    
                    $Noticia = new Noticia($_POST['txtTitulo'],$_POST['txtContenido'],'',
                                           date('Y/m/d'),$_POST['txtEstado'],
                                           $_POST['txtFecha_publicacion'],$_POST['txtFecha_despublicacion'],
                                           $_POST['txtSeccion_id'],$id_user);
                    
                    $Noticia->Editar($_POST['txtId']);
                    
                    redirect("?opcion=listar");
                    
            endif;
            // Mostrar Vista
            $noticia = $Noticia->Buscar($_REQUEST['id'], "xid");
            //print_r($noticia);
            require_once("../vistas/noticias/editar.php");
	
        else:
        
            echo "No tiene Autorizaci&oacute;n";
        
        endif;
        
	break;
    
    case "ver":
        
        $noticia = $Noticia->Ver($_REQUEST['id']);
        // Mostrar Vista
        require_once("../vistas/noticias/ver.php");
	
        break;

    case "listar":
        // despublicar las noticias que caducaron en fecha
        $Noticia->Despublica();
	// Validar y Listar Datos			
 	$inicio = 0;
   	$limit = LIMITREG; // Nro de Filas Mostradas
        
        if (isset($_REQUEST['next'])): // Procesar Siguiente Pagina
            $inicio = $_REQUEST['next'];
        endif;
	
   	$noticia = $Noticia->Listar("id",$inicio,$limit);
	$totalRegistros = $Noticia->bd->TotalReg(TABLA_NOTICIAS);
	$titulo = "Listado de Entradas";
	
        //echo "<pre>";
        //print_r($Noticia->bd->enArray($noticia));
        //echo "</pre>";
	// Mostrar Vista
	require_once("../vistas/noticias/listar.php");
	
	break;

    case "buscar":
	// Validar y Buscar Datos
	if ($cmd == "Buscar"):
	    
	    $Noticia->Buscar($_POST['txtQ'],$_POST['txtTipo']);
            
	endif;
	// Mostrar Vista
	require_once("../vistas/noticias/buscar.php");
	
	break;

    case "borrar":
	//permisos de autoriza.php
        if($eliminar == 1):
        
            if (isset($_REQUEST['id'])):
                
                $Noticia->Borrar($_REQUEST['id']);
                redirect("?opcion=listar");
                
            endif;
        
        else:
        
            echo "No tiene Autorizaci&oacute;n";
        
        endif;
	
	break;
    
    case "publica":
	//permisos de autoriza.php
        if($editar == 1):
        
            if (isset($_REQUEST['id'])):
                
                $Noticia->Publica($_REQUEST['id']);
                redirect("?opcion=listar");
                
            endif;
        
        else:
        
            echo "No tiene Autorizaci&oacute;n";
        
        endif;
	
	break;
    
    default:
    
	echo ("No se ha definido la opcion ".$acurl." ...");
        
endswitch;

?>